Bug 1014991 - /etc/sysconfig/keyboard wants to restart service kbd, but there is no such service
/etc/sysconfig/keyboard wants to restart service kbd, but there is no such se...
Status: RESOLVED WONTFIX
: 1014629 (view as bug list)
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: YaST2
Leap 42.2
All openSUSE 42.2
: P5 - None : Normal (vote)
: ---
Assigned To: Stanislav Brabec
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-10 10:55 UTC by Tony Mechelynck
Modified: 2018-04-17 13:55 UTC (History)
4 users (show)

See Also:
Found By: Community User
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
sbrabec: needinfo? (systemd-maintainers)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Mechelynck 2016-12-10 10:55:08 UTC
The first lines of /etc/sysconfig/keyboard are as follows:

## Path:        Hardware/Keyboard
## Description: Keyboard settings
## Type:        string
## Default:     ""
## ServiceRestart: kbd
#
# Keyboard settings for the text console
#

However, "systemctl status kbd.service" answers the following:

● kbd.service
   Loaded: not-found (Reason: No such file or directory)
   Active: inactive (dead)

As a result, when using YaST to make updates to this script, the desired changes are applied but there is an error exit ("File not found") when trying to restart service kbd after appying the changes.
Comment 1 Franck Bui 2016-12-12 11:18:12 UTC
Dear Yast maintainers,

Could you stop adding the following line in /etc/sysconfig/keyboard:

   ## ServiceRestart: kbd

This service has been a dummy service aliases since a long time and is not necessary.

Is it also possible to remove the line from existing /etc/sysconfig/keyboard ?

Thanks.
Comment 2 Tony Mechelynck 2016-12-14 06:19:00 UTC
In reply to comment #2

Grepping the files in /etc/sysconfig/ for that line shows that it is also present in /etc/sysconfig/console
Comment 3 Franck Bui 2016-12-14 07:08:46 UTC
(In reply to Tony Mechelynck from comment #2)
> In reply to comment #2
> 
> Grepping the files in /etc/sysconfig/ for that line shows that it is also
> present in /etc/sysconfig/console

Then please also remove the line from that file (and any other file that might have this reference).

Thanks.
Comment 4 Imobach Gonzalez Sosa 2016-12-14 15:59:45 UTC
Hi all,

I think that those templates are in the kbd package, so I'm reassigning the bug to the package maintainer.

Stanislav: please, could you have a look?

Thanks!
Comment 5 Stanislav Brabec 2016-12-15 12:48:03 UTC
There was such service.

* Thu Apr 04 2013 crrodriguez@opensuse.org
- Remove sysvinit support, init scripts from this package
  are masked by systemd and only serve for confusion.

Now it is a part of systemd-vconsole-setup.

What I propose:

- Test, whether we can use systemd-vconsole-setup after map change.

- Change Service Restart

- Review documentation.


And for Tumbleweed:

- Move sysconfig template from kbd to systemd, as kbd package has nothing to do with it any more.
Comment 6 Stanislav Brabec 2016-12-15 14:13:56 UTC
*** Bug 1014629 has been marked as a duplicate of this bug. ***
Comment 7 Stanislav Brabec 2016-12-15 14:27:50 UTC
I just tested to call /usr/lib/systemd/systemd-vconsole-setup (in Tumbleweed).

It seems to be unusable for applying of new keymap or values.

It not only that it does not load a new layout to an existing or new virtual console. It will also break non ISO-8859-1 characters in the current keymap. And it will also break special keys.


To systemd-maintainers: Is there any command that applies a new keyboard layout/setup from /etc/sysconfig/keyboard.


Additional info: Even info '"us" or empty for US settings' in the description of KEYTABLE is incorrect. I have empty value and Czech keyboard (probably inherited from dracut).
Comment 8 Lukas Ocilka 2017-07-12 08:40:43 UTC
Please, see also https://bugzilla.suse.com/show_bug.cgi?id=1046436
Comment 9 Tomáš Chvátal 2018-04-17 13:55:25 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.2 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE, or you can still observe it under openSUSE Leap 15.0, please
feel free to reopen this bug against that version (see the "Version"
component in the bug fields), or alternatively open
a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime